cURL
curl --request GET \ --url https://api.veryfront.com/projects/{project_reference}/jobs/{job_id} \ --header 'Authorization: Bearer <token>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "cron_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "status": "submitted", "target": "<string>", "config": {}, "context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "timeout_seconds": 123, "backoff_limit": 123, "exit_code": 123, "failed_reason": "<string>", "started_at": "<string>", "completed_at": "<string>", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "<string>", "updated_at": "<string>", "kind": "knowledge_ingest", "failure_detail": "<string>", "result_summary": { "kind": "knowledge_ingest", "state": "success", "requested_count": 1, "ingested_count": 1, "skipped_count": 1, "failed_count": 1 }, "result": { "kind": "knowledge_ingest", "version": 1, "metadata": { "requested_count": 1, "source_mode": "explicit_sources", "knowledge_path": "<string>" }, "summary": { "requested_count": 1, "ingested_count": 1, "skipped_count": 1, "failed_count": 1 }, "ingested": [ { "source": "<string>", "localSourcePath": "<string>", "outputPath": "<string>", "remotePath": "<string>", "slug": "<string>", "sourceType": "<string>", "summary": "<string>", "stats": {}, "warnings": [ "<string>" ] } ], "skipped": [ { "source": "<string>", "localSourcePath": "<string>", "reason": "hidden_path", "message": "<string>" } ], "failed": [ { "source": "<string>", "localSourcePath": "<string>", "reason": "parser_error", "message": "<string>" } ] } }
Get details of a specific job
Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.
Project ID or slug
Job UUID
Job details
submitted
working
completed
failed
canceled
Show child attributes
knowledge_ingest